Read an image or file uploaded into a Room
GET
/api/v1/rooms/{roomId}/assets/{assetId}
const url = 'https://api.yggy.tech/api/v1/rooms/example/assets/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/rooms/example/assets/example \ --header 'Authorization: Bearer <token>'Images are sent inline as WebP. Files are always sent as a download.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” roomId
required
string
assetId
required
string
Responses
Section titled “ Responses ”The upload
Media type application/octet-stream
string format: binary
Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}File not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Too many requests
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}